SPIP-Contrib

Le site des contributions à SPIP

http://www.spip-contrib.net

Les articles publiés sur le site

  • Champs extras — utilisation dans les squelettes

    29 mars, par Maïeul, Matthieu MarcillaudChamps extras,
    Cet article explique comment utiliser des Champs Extra dans les squelettes. *Valeur d'un champ Les champs extras sont comme les autres champs d'une table SQL, interrogeables en utilisant #NOM_DU_CHAMP. Pour afficher donc le résultat d'un champ il suffit d'utiliser son nom. Le champ est (...)
  • Tutoriel  : créer des champs extras depuis un plugin

    29 mars, par jeanmarieChamps extras
    Vous trouverez dans cet article un exemple pour créer des champs extras depuis votre plugin perso, à l'aide du plugin Champs Extra et d'un peu de code. Note : n'oubliez pas de remplacer prefixe par le préfixe de votre plugin. Créer la fonction qui va déclarer les nouveaux champs Dans cette (...)
    https://contrib.spip.net/IMG/zip/prefixe.zip
  • Tutoriel  : créer des champs extras depuis un plugin

    29 mars, par jeanmarieChamps extras
    Vous trouverez dans cet article un exemple pour créer des champs extras depuis votre plugin perso, à l'aide du plugin Champs Extra et d'un peu de code. Note : n'oubliez pas de remplacer prefixe par le préfixe de votre plugin. Créer la fonction qui va déclarer les nouveaux champs Dans cette (...)
    https://contrib.spip.net/IMG/zip/prefixe.zip
  • Champs Extras — introduction

    29 mars, par Maïeul, Matthieu MarcillaudChamps extras,
    Il est possible d'ajouter des champs supplémentaires aux objets SPIP : les « Champs Extras ». Principe Depuis SPIP 3.0.0, l'ajout de champs supplémentaires (Champs Extra) aux objet SPIP est séparée en quatre composants : Un plugin pour déclarer les champs en PHP, objet du présent article. Un plugin, (...)
  • Sortie de la version de maintenance SPIP 3.2.11

    26 mars, par L'équipe de SPIP-ContribSPIP-core, ,
    Si vous suivez l'actualité de git.spip.net, vous avez certainement constaté une grande activité à l'approche de la sortie de SPIP 3.3. Comme discuté sur la liste spip-dev, cette version nécessitera PHP 7.3 au minimum, en accord avec notre nouveau cycle de release. Toutefois, afin de chouchouter les (...)

Rechercher

Recherche avancée

Sites Web